const $ = require('jquery');
require("../css/qcListDept.less");
require('./modal.js');
const {api} = require('./api.js')
const {post,getCookie,getUrlArgObjectNew,emptyBox,downloadExportedData,expJson} = require('./utils.js')
require('./../resource/jquery-ui/jquery-ui.min.js');
require('./../resource/jquery-ui/jquery-ui.min.css');
const iconCheck= require("./../images/icon_check.png")
const iconUnCheck = require("./../images/icon_unchecked.png")
const  iconCalenBlue= require("./../images/icon_calen_blue.png")
const  iconCalenGrey= require("./../images/icon_calen_grey.png")
const iconDown= require("./../images/arrow_down.png")
const iconUp = require("./../images/arrow_up.png")
const loadingImg = require("./../images/loading.gif")
const arrowLeft= require("./../images/arrow_left.png")
const arrowRight = require("./../images/arrow_right.png")
const goUpG= require("./../images/arrow_up_grey.png")
const goUpB = require("./../images/arrow_up_blue.png")
const goDownG= require("./../images/arrow_down_grey.png")
const goDownB = require("./../images/arrow_down_blue.png")

let pageSet = [],pageSetCopy = [], showNum = 0, scrollTop=0;
$(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
$(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)

let srcUrl = $("#contentIframe",parent.document).attr("src")
let statisticsType = getUrlArgObjectNew("dateType",srcUrl)||getUrlArgObjectNew("shijian",srcUrl) || ""
let chengdu = getUrlArgObjectNew("chengdu",srcUrl)||""
let deptIdPram = getUrlArgObjectNew("deptId",srcUrl)||""
let deptNamePram = getUrlArgObjectNew("deptName",srcUrl)||""
let docName = getUrlArgObjectNew("docName",srcUrl)||""
let startDateParam = getUrlArgObjectNew("startDateParam",srcUrl)||""
let endDateParam = getUrlArgObjectNew("endDateParam",srcUrl)||""
let tabList = [], name = "", behospitalCode="", behosDateStart="", level="",behosDateEnd="", scoreSum = 0,nameTemp = "",
  behospitalCodeTemp="",levelTemp="", deptId="",deptIdTemp="", doctorName="", doctorNameTemp="", doctorNum="", doctorNumTemp="",data_desc=["leave_hospital_date"],data_asc=[];

$("#filterToggler").click(function(){
  const text = $(this).text();
  $(".toggle-item").slideToggle();
  $(this).text(text==="收起筛选"?"展开筛选":"收起筛选").toggleClass("up");
});

console.log('docName',docName)
if(chengdu){
    levelTemp = chengdu
    level = chengdu
    $('.selectLevel').html(chengdu)
    $(".levelList").css("display", "none")
    $(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
}
if(docName){
    doctorNameTemp = docName
    doctorName = docName
    $('.doctorInp').val(docName)
}
if(deptIdPram&&deptNamePram){
    deptIdTemp = deptIdPram
    deptId = deptIdPram
    if(deptNamePram.length > 10){
        $('.selectDept').html(deptNamePram.substring(0,8)+'...')
    }else{
        $('.selectDept').html(deptNamePram)
    }
    $('.selectDept ').attr('title',deptNamePram)
    $(".deptList").css("display", "none")
    $(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
}
$('.datapickerBox').append(`<img class="iconCalen" src=${iconCalenGrey} />`)
$('.iconCalen').on("mouseenter", function(e){
    $(this).attr("src", iconCalenBlue)
})
$('.iconCalen').on("mouseleave", function(e){
    $(this).attr("src", iconCalenGrey)
})
$('.iconCalen').on("click", function(e){
    $(this).parent().find("input").focus()
})
$('.recordScoreBtn').css("opacity",hasData('FUNC000017')?'1':'0.5')

  //判断有无某一权限
function hasData(data){
    let trdObj = JSON.parse(getCookie("trdObj"))
    let lis = trdObj['YH-BLZK-ZKPFKS']
    if(!lis){
      return false
    }
    if(lis.indexOf(data)>-1){//有权限
        return true
    }
    return false;
}
function getTabData(activePage){
    const param = {
        current:activePage,
        behospitalCode: behospitalCode,
        name: name, //条目名
        level:level,//病历等级
        deptId: deptId,
        asc:data_asc,     //升序
        desc:data_desc,       //降序
        doctorName: doctorName,
        doctorCode: doctorNum,
        leaveHosDateStart: behosDateStart, //1-单项否决 0-非
        leaveHosDateEnd: behosDateEnd, //0-未启用 1-启用
        size: 15,
        statisticsType:statisticsType
    }
    return post(api.qcListByDept,param).then(res =>{
        if(res.data.code == '0'){
            tabList = res.data.data.records
            const totalPage = res.data.data.pages
            const totalNum = res.data.data.total
            renderTab(tabList)
            renderPagination(totalPage,Number(activePage),totalNum)
            if(totalPage > 1){
                renderPagination(totalPage,Number(activePage),totalNum)
            } else{
                $('.pagination').html("")
            }
        }else{
            $.alerModal({"message":res.data.msg,type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
        }
    }).catch((e) =>{
    
    })
}

//getTabData(1)

$(".filter").on("click", function(e){
    behosDateStart = $("#datepicker").val().trim()
    behosDateEnd = $("#datepicker2").val().trim()
    const start = new Date(behosDateStart).getTime()
    const end = new Date(behosDateEnd).getTime()
    if(start > end){
        $.alerModal({"message":'开始时间不能大于结束时间~',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
        return
    }
    if(behosDateStart){
        behosDateStart = behosDateStart.replace(/\//g,'-') + ' 00:00:00'
    }
    if(behosDateEnd){
        behosDateEnd = behosDateEnd.replace(/\//g,'-') + ' 23:59:59'
    }
    name = nameTemp
    behospitalCode = behospitalCodeTemp
    level = levelTemp==="全部"?"":levelTemp
    deptId = deptIdTemp
    doctorName = doctorNameTemp
    doctorNum = doctorNumTemp
    getTabData(1)
})

$(".abnormalClear").on("click", function(e){
    tabList = []; 
    name = ""; 
    behospitalCode="";  
    level=""; 
    scoreSum = 0; 
    nameTemp = "";  
    behospitalCodeTemp=""; 
    levelTemp="";  
    deptId=""; 
    deptIdTemp="";  
    doctorName=""; 
    doctorNum=""; 
    doctorNameTemp=""; 
    doctorNumTemp=""; 
    data_desc=["leave_hospital_date"]
    data_asc=[];
    $('.patientNumInp').val('')
    $('.patientNameInp').val('')
    $('.doctorInp').val('')
    $('.doctorNumInp').val('')
    $('.doctorInp').val('')
   // $('#datepicker').val('')
    // $('#datepicker2').val('')
    //默认日期为近一个月
    $( "#datepicker" ).datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat:"yy/mm/dd",
    }).datepicker( "setDate", "-6d");
    $( "#datepicker2" ).datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat:"yy/mm/dd"
    }).datepicker( "setDate",new Date());
    $('.selectDept ').html('全部')
    $(".deptList").css("display", "none")
    $(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
    // $('.selectDept ').addClass('unSelect')
    $('.selectLevel').html('全部')
    $(".levelList").css("display", "none")
    $(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
    // $('.selectLevel ').addClass('unSelect')
    $("th[code]").removeClass("asc desc")
    $(".leaveHospitalDate").addClass(" desc")
    behosDateStart = $("#datepicker").val().trim()
    behosDateEnd = $("#datepicker2").val().trim()
    if(behosDateStart){
        behosDateStart = behosDateStart.replace(/\//g,'-') + ' 00:00:00'
    }
    if(behosDateEnd){
        behosDateEnd = behosDateEnd.replace(/\//g,'-') + ' 23:59:59'
    }
    getTabData(1)
})
function bindOrder(){
    $("th[code]").off("click").on("click",function(e){
        const code=$(this).attr("code");
        if(data_asc[0]===code){
          data_desc=[code];
          data_asc=[];
          $("th[code]").removeClass("asc desc");
          $(this).addClass("desc");
        }else{
          data_desc=[];
          data_asc=[code];
          $("th[code]").removeClass("asc desc");
          $(this).addClass("asc");
        }
        getTabData(1);
        // console.log(code)
    });
}
function renderTab(data){
    let str = ``
    let hasSelectAll = true;
    if(data.length===0){
        $('tbody').html(emptyBox(null,showNum+2))
      return;
    }
    for(let i = 0; i < data.length; i++){
        const item = data[i]
        if(!item.hasSelect){
            hasSelectAll = false
        }
        str += `
            <tr  data-index=${i}>
                <td class="scoreOperaItem textCenter">${item.hasSelect ? `<img class="iconCheck" src=${iconCheck} />`:`<img class="iconCheck" src=${iconUnCheck} />`}</td>
                <td  class="recordScoreOperaBtn textCenter" style="opacity:${hasData('FUNC000017')?'1':'0.5'}">评分</td>`
        for(let j = 0; j < pageSet.length; j++){
            if(pageSet[j].status == 1){
                str +=  `<td class="${isTextCenter(pageSet[j].val) ? 'textCenter':''}"><span data-index=${i} class="${pageSet[j].val=='name'?'patientNameSpan':''}">${item[pageSet[j].val] || "-"}<span></td>`
            }
        }
                // <td >${item.behospitalCode || "-"}</td>
                // <td>${item.fileCode || "-"}</td>
                // <td  class="textCenter"><span data-index=${i} class="patientNameSpan">${item.name || "-"}<span></td>
                // <td  class="textCenter">${item.sex || "-"}</td>
                // <td  class="textCenter">${item.age || "-"}</td>
                // <td  class="textCenter">${item.bedCode || "-"}</td>
                // <td  class="textCenter">${item.behospitalDate&&item.behospitalDate.slice(0,10) || "-"}</td>
                // <td  class="textCenter">${item.leaveHospitalDate&&item.leaveHospitalDate.slice(0,10)|| "-"}</td>
                // <td  class="textCenter">${item.diagnose|| "-"}</td>
                // <td  class="textCenter">${item.behDoctorName   || "-"}</td>
                // <td  class="textCenter">${item.doctorName || "-"}</td>
                // <td  class="textCenter">${item.directorDoctorName || "-"}</td>
                // <td  class="textCenter">${item.behDeptName || "-"}</td>
                // <td  class="textCenter">${item.level || "-"}</td>
                // <td  class="textCenter">${item.scoreRes || "-"}</td>
                // <td  class="textCenter">${item.gradeTime&&item.gradeTime.slice(0,10) || "-"}</td>
            
        str += "</tr>"
    }
    if(data.length === 0){
        hasSelectAll = false
    }
    if(hasSelectAll){
        $('.scoreOpera img').attr("src" ,iconCheck)
        $('.scoreOpera').attr("data-selectall",true)
    }else{
        $('.scoreOpera img').attr("src" ,iconUnCheck)
        $('.scoreOpera').attr("data-selectall",false)
    }
    $('tbody').html(str)
    bindScoreOperaItem()
    bindRecordScoreOper()
    bindScoreDetail()
}

function isTextCenter(name){
    const textCenterList = ['level', 'scoreRes', 'sex','age', 'behospitalDate', 'leaveHospitalDate', 'placefileDate', 'gradeTime']
    return textCenterList.findIndex(item=> item==name) > -1
}

function scoreDetail(id,age,code,name){
    window.open(`./qcScore.html?id=${id}&age=${age}&code=${code}&hid=${getCookie('hospitalid')}&name=${name}`)
}
function bindScoreDetail(){
    $('.patientNameSpan').on('click',function(e){
        const index = $(this).attr("data-index")
        const id = tabList[index].behospitalCode
        const age = tabList[index].age
        const noScore = tabList[index].level == '未评分'
        if(noScore){
            $.alerModal({"message":'请先进行评分！',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
            return
        } else{
            scoreDetail(id,age,'YH-BLZK-ZKPFKS',tabList[index].name)
        }
       
    })
}

//选择病历等级
$('.selectLevel').on("click", function(e){
    e.stopPropagation()
    $(".deptList ").css("display", "none")
    $(".selectDept .arrow").attr("src",iconDown)
    const showList =  $(".levelList ").css("display")
    if(showList == "none" ||!showList){
        $(".levelList ").css("display","block")
        $(".selectLevel .arrow").attr("src",iconUp)
    }else{
        $(".levelList ").css("display", "none")
        $(".selectLevel .arrow").attr("src",iconDown)
    }
})

bindLeveldSelect()
//是否启用选择
function bindLeveldSelect(){
    $('.levelItem').on("click",function(){
        const levelItemName = $(this).attr("data-name")
        const levelItemItemId = $(this).attr("data-id")
        levelTemp =levelItemItemId
        $('.selectLevel').html(levelItemName)
        $(".levelList").css("display", "none")
        $(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.selectLevel').removeClass('unSelect')
    })
}

//全选绑定
bindOperaAll()
function bindScoreOperaItem(){
    $(".scoreOperaItem").on("click",  function(e){
        const index = $(this).parent().attr("data-index")
        tabList[index].hasSelect = tabList[index].hasSelect ? false:true
        renderTab(tabList)
    })
}
function bindRecordScoreOper(){
    $(".recordScoreOperaBtn").on("click",  function(e){
        if(!hasData('FUNC000017')){
            return
        }
        const index = $(this).parent().attr("data-index")
        const behospitalCode = tabList[index].behospitalCode
        loading()
        recordScore(behospitalCode,1,true)
    })
}
function bindOperaAll(){
    $('.scoreOpera').on("click", function(e){
        const hasSelectAll = $('.scoreOpera').attr("data-selectall")
        if(hasSelectAll == 'true'){

            for(let i = 0; i < tabList.length; i++){
                tabList[i].hasSelect = false
            }
        }else{
            for(let i = 0; i < tabList.length; i++){
                tabList[i].hasSelect = true
            }
        }
        renderTab(tabList)
    })
}

$('.selectDept').on("click", function(e){
    e.stopPropagation()
    $(".levelList ").css("display","none")
    $(".selectLevel .arrow").attr("src",iconDown)
    const showList =  $(".deptList ").css("display")
    if(showList == "none" ||!showList){
        $(".deptList ").css("display","block")
        $(".selectDept .arrow").attr("src",iconUp)
    }else{
        $(".deptList ").css("display", "none")
        $(".selectDept .arrow").attr("src",iconDown)
    }
})

//获取科室列表
getDeptList()
function getDeptList(){
    post(api.getDeptListDept,{inputStr:""}).then(res =>{
        if(res.data.code == '0'){
           const  deptList = res.data.data
           rendeDeptList(deptList)
        }else{}
    }).catch((e) =>{
    
    })
}

//获取页面配置

function getPageSet(){
    return post(api.getQcListPageSet,{pageType:1}).then(res =>{
        if(res.data.code == '0'){
        pageSet = res.data.data
          pageSetCopy = JSON.parse(JSON.stringify(pageSet))
          showNum = 0
          renderTabTitle(pageSet)
          
        }else{}
    }).catch((e) =>{

    })
}

function renderTabTitle(data){
    let str = ` <th class="textCenter" ></th>
    <th class="recordScoreOpera textCenter" style="width: 65px;">操作</th>`
    for(let i = 0; i < data.length; i++){
        const item = data[i]
        if(item.status == 1){
            showNum++
            str += `<th class="textCenter ${item.val} ${item.val =='leaveHospitalDate' ? 'desc':''}" code="${item.val.replace(/([A-Z])/g,function(match) {
                return '_' + match.toLowerCase()    
            })}">${item.name}</th>`
        }
    }
    let operStr=`<td colspan="${showNum+2}" style="background: #fff">
        <div class="tabFoot">
            <span class="scoreOpera" data-selectAll=false><img class="iconCheck" src="${iconUnCheck}" alt="checkbox">全选</span>
            <span class="recordScoreBtn">评分</span>
            <span class="setCol"><img class="iconSetting" src=${require('./../images/setting.png')} alt="关闭" />列设置</span>
        </div>
    </td>`
    $(".tabOpera").html(operStr)
    $(".tabTitle").html(str)
    //全选绑定
    bindOperaAll()
    bindRecordScoreBtn()
    bindSetCol()
    bindOrder()
}

function bindSetCol(){
    $(".setCol").off("click").on("click", function(){
        renderColSet(pageSetCopy)
    })
}


function rendeDeptList(deptList){
    let str = `<li class="deptItem ellipsis" data-id=" " data-name="全部">全部</li>`
    for(let i = 0; i < deptList.length; i++){
        str += `<li class="deptItem ellipsis" title=${deptList[i].deptName} data-id=${deptList[i].deptId} data-name=${deptList[i].deptName}> ${deptList[i].deptName}</li>`
    }
    $('.deptList').html(str)
    bindDeptSelect()
}
//科室选择
function bindDeptSelect(){
    $('.deptItem').on("click",function(){
        const deptItemName = $(this).attr("data-name")
        const deptItemId = $(this).attr("data-id")
        deptIdTemp =deptItemId
        if(deptItemName.length > 10){
            $('.selectDept').html(deptItemName.substring(0,8)+'...')
        }else{
            $('.selectDept').html(deptItemName)
        }
        $('.selectDept ').attr('title',deptItemName)
        $(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.selectDept').removeClass('unSelect')
        $(".deptList").css("display", "none")
    })
}
function loading(){
    const str = `
    <div class="loadingBox">
            <div class="mask"></div>
            <img class="loadingImg" src=${loadingImg}  alt="loading" />
        </div>
    `
    $("#mainBox", parent.document).append(str)
}
function hideLoading(){
    $("#mainBox .loadingBox", parent.document).remove()
}
function bindRecordScoreBtn(){
    $('.recordScoreBtn').off("click").on("click",function(e){
        if(!hasData('FUNC000017')){
            return
        }
        let scoreList = []
        for(let i = 0; i <tabList.length; i++){
            if(tabList[i].hasSelect){
                scoreList.push(tabList[i].behospitalCode)
            }
        }
        if(scoreList.length === 0){
            $.alerModal({"message":'请选择要评分的项！',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
            return
        } else{
            loading()
            for(let j = 0; j < scoreList.length; j++){
                recordScore(scoreList[j],scoreList.length,true)
            }
        }
    })
}
function recordScore(behospitalCode,totalNum,hasToast){
    const param = {
        behospitalCode: behospitalCode
    }
    post(api.recordScore,param).then(res =>{
        if(res.data.code == '0'){
            scoreSum++
            if(scoreSum === totalNum){
                hideLoading()
                scoreSum = 0
                const activePage = $(".activePage").attr('data-page') || 1

                getTabData(activePage)
                if(hasToast){
                  $.alerModal({"message":'评分成功',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
                }
            }
        }else{
            hideLoading()
            if(hasToast){
                $.alerModal({"message":'评分失败',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
            }
        }
    }).catch((e) =>{
        hideLoading()
        if(hasToast){
            $.alerModal({"message":'评分失败',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
        }
    })
}
function renderColSet(list){
    let pageSetList =  list || pageSetCopy
    let allSelect = true
    for(let i = 0; i < pageSetList.length; i++){
        if(pageSetList[i].status != 1){
            allSelect = false
        }
    }
    let str = `<div class='colSetBox'> 
            <div class='mask'></div>
            <div class='cloInfobox'>
                <div class='cloInfoTitle'><span class='cloInfoTitleTxt'>列显示设置</span> <img class="iconClose" src=${require('./../images/icon_close_default.png')} alt="关闭" /></div>
                <div class='cloInfo'></div>
                <div class='btnBox'> <span class='cancalColSet'>取消</span> <span class='saveColSet'>保存设置</span></div>
            </div>
        </div>`
    let infoStr = `<div class='colTabTitle' ><span class='colOpera toggleSelectColAll' data-select=${allSelect}>${allSelect  ? `<img  src=${iconCheck} />`:`<img src=${iconUnCheck} />`}全选</span><span  class='colName'>列名</span></div><div class='colTabInfoBox' >`
    for(let i = 0; i < pageSetList.length; i++){
        infoStr += `<div  class='colTabInfo' data-index=${i}>
            <span class='colOpera' data-index=${i}>${pageSetList[i].status == 1 ? `<img class="toggleSelectCol" src=${iconCheck} />`:`<img class="toggleSelectCol" src=${iconUnCheck} />`}</span>
            <span class='colName'>            
                <span>${pageSetList[i].name}</span>
                <span class="pageOrder">
                    <span class="pageSetUpBox">${ i === 0 ?'':`<img class="pageSetUp" src=${goUpG} />`}</span>
                    <span  class="pageSetDownBox">${ i === pageSetList.length -1 ?'':`<img class="pageSetDown" src=${goDownG} />`}</span>
                </span>
               
            </span>
           
        </div>`
    }
    infoStr += "</div>"
    // $(".main-body").append(str)
    if(!$("#mainBox .colSetBox", parent.document).length){
        $("#mainBox", parent.document).append(str)
    }
    $("#mainBox .colSetBox .cloInfo", parent.document).html(infoStr)
   
    $(".colTabInfoBox", parent.document).scrollTop(scrollTop)
    scrollTop = 0

    bindSelectCol()
    bindColOrder()
    bindSaveColSet()
    bindCloseColSet()
    bindImgEnter()
}

function bindImgEnter(){
    $(".pageSetUpBox img",parent.document).off("mouseenter").on("mouseenter",function(){
        $(this).attr('src', goUpB)
    })
    $(".pageSetDownBox img",parent.document).off("mouseenter").on("mouseenter",function(){
        $(this).attr('src', goDownB)
    })
    $(".pageSetUpBox img",parent.document).off("mouseout").on("mouseout",function(){
        $(this).attr('src', goUpG)
    })
    $(".pageSetDownBox img",parent.document).off("mouseout").on("mouseout",function(){
        $(this).attr('src', goDownG)
    })
}
function bindSelectCol(){
    $(".toggleSelectCol", parent.document ).off("click").on("click", function(){
        const index = $(this).parent().attr("data-index")
        pageSetCopy[index].status = pageSetCopy[index].status == 1 ? 0 : 1
        scrollTop = $(".colTabInfoBox", parent.document).scrollTop()
        renderColSet(pageSetCopy)
      
    })
    $(".toggleSelectColAll", parent.document ).off("click").on("click", function(){
        const hasSelectAll = $(this).attr("data-select")
        for(let i = 0; i < pageSetCopy.length; i++){
            if(hasSelectAll == "true"){
                pageSetCopy[i].status = 0

            }else{
                pageSetCopy[i].status = 1
            }
        }
        scrollTop = $(".colTabInfoBox", parent.document).scrollTop()
        renderColSet(pageSetCopy)
      
    })
}

function closeColSet(){
    pageSetCopy = pageSet
    $("#mainBox .colSetBox", parent.document).remove()
}
function bindCloseColSet(){
    $(".colSetBox .iconClose", parent.document ).off("click").on("click",function(){
        closeColSet()
    })
    $(".colSetBox .cancalColSet", parent.document ).off("click").on("click",function(){
        closeColSet()
    })
}
function bindSaveColSet(){
    $(".saveColSet", parent.document ).off("click").on("click", function(){
        let showNumSet = 0
        let sysUserPagesetVOList = []
        for(let i = 0; i < pageSetCopy.length; i++){
            const item = pageSetCopy[i]
            sysUserPagesetVOList.push({
                name: item.name,
                orderNo: i,
                status: item.status,
                val: item.val
            })
            if(item.status == 1){
                showNumSet++
            }
        }
        if(showNumSet === 0){
            $.alerModal({"message":'最少显示一列',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});  
            return
        }
        return post(api.saveQcListPageSet,{pageType:1,sysUserPagesetVOList:sysUserPagesetVOList}).then(res =>{
            if(res.data.code == '0'){
                closeColSet()
                getPageSet().then(res =>{
                    $(".filter").click();   //初始查询
                })
            }else{
                $("#mainBox .colSetBox", parent.document).remove()
                $.alerModal({"message":'保存失败',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});  
            }
        }).catch((e) =>{
            $("#mainBox .colSetBox", parent.document).remove()
            $.alerModal({"message":'保存失败',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
        })

    })
    
}

function bindColOrder(){
    $(".pageSetUp", parent.document ).off("click").on("click", function(){
        const index =  parseInt($(this).parent().parent().parent().parent().attr("data-index"))
        if(index != 0){
            const upItem =  pageSetCopy[index]
            const upItemPre =  pageSetCopy[index-1]
            pageSetCopy.splice(index-1,2,upItem,upItemPre)
            scrollTop = $(".colTabInfoBox", parent.document).scrollTop()
            renderColSet(pageSetCopy)
           
        }else{
            return
        }
    })
    $(".pageSetDown", parent.document ).off("click").on("click", function(){
        const index = parseInt($(this).parent().parent().parent().parent().attr("data-index"))
        if(index == pageSetCopy.length - 1){
            return
        }else{
            const downItem =  pageSetCopy[index]
            const downItemBack =  pageSetCopy[index + 1]
            console.log('downItem',downItem,'downItemBack',downItemBack)
            pageSetCopy.splice(index,2,downItemBack,downItem)
            scrollTop = $(".colTabInfoBox", parent.document).scrollTop()
            renderColSet(pageSetCopy)
        }
    })
}
$(".patientNumInp").on("input", function(e){
    const val = $(this).val().trim()
    behospitalCodeTemp = val
})
$(".patientNameInp").on("input", function(e){
    const val = $(this).val().trim()
    nameTemp = val
})
$(".doctorInp").on("input", function(e){
    const val = $(this).val().trim()
    doctorNameTemp = val
})
$(".doctorNumInp").on("input", function(e){
  const val = $(this).val().trim();
  doctorNumTemp = val
})
$(function() {
    $.datepicker.regional['zh-CN'] = {
    clearText: '清除',
    clearStatus: '清除已选e799bee5baa6e59b9ee7ad9431333361303131日期',
    closeText: '关闭',
    closeStatus: '不改变当前选择',
    prevText: '<上月',
    prevStatus: '显示上月',
    prevBigText: '<<',
    prevBigStatus: '显示上一年',
    nextText: '下月>',
    nextStatus: '显示下月',
    nextBigText: '>>',
    nextBigStatus: '显示下一年',
    currentText: '今天',
    currentStatus: '显示本月',
    monthNames: ['一月','二月','三月','四月','五月','六月', '七月','八月','九月','十月','十一月','十二月'],
    monthNamesShort: ['一月','二月','三月','四月','五月','六月', '七月','八月','九月','十月','十一月','十二月'],
    yearNamesShort: ['一月','二月','三月','四月','五月','六月', '七月','八月','九月','十月','十一月','十二月'],
    monthStatus: '选择月份',
    yearStatus: '选择年份',
    weekHeader: '周',
    weekStatus: '年内周次',
    dayNames: ['星期日','星期一','星期二','星期三','星期四','星期五','星期六'],
    dayNamesShort: ['周日','周一','周二','周三','周四','周五','周六'],
    dayNamesMin: ['日','一','二','三','四','五','六'],
    dayStatus: '设置 DD 为一周起始',
    dateStatus: '选择 m月 d日, DD',
    dateFormat: 'yy-mm-dd',
    firstDay: 1,
    initStatus: '请选择日期',
    isRTL: false};
    $.datepicker.setDefaults($.datepicker.regional['zh-CN']);

    let startDate = "", endDate=new Date()
    let year = new Date().getFullYear()
    let month = new Date().getMonth() + 1
    if(statisticsType == '1'){
        startDate = new Date(`${year}-${month}-01`)
    }else if(statisticsType == '2'){
        startDate = new Date(`${year}-01-01`)
    } else if(statisticsType == '3') {
        startDate = new Date(startDateParam)
        endDate =  new Date(endDateParam)
    }else{
        startDate = "-6d"
    }
    $( "#datepicker" ).datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat:"yy/mm/dd",
    }).datepicker( "setDate", startDate);
    $( "#datepicker2" ).datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat:"yy/mm/dd"
    }).datepicker( "setDate",endDate);
    getPageSet().then(res =>{
        $(".filter").click();   //初始查询
    })
});

//分页渲染
function renderPagination(totalPage,activePage,totalNum){
    let str = `<span class="totalSum">共${totalPage}页/${totalNum}条数据</span><span class="prePage"><img class="arrowPage" src=${arrowLeft} /></span>`
    if(totalPage <= 6){
        for(let i = 1; i <= totalPage; i++){
          
            str += `<span class="pageNum ${'page'+i}" data-page=${i}>${i}</span>`
        }
    }else{
        if(activePage <= 3){ //选中页数小于4
            for(let i = 1; i <= 4; i++){
                str += `<span class="pageNum ${'page'+i}" data-page=${i}>${i}</span>`
            }
            str += `<span class="more" >...</span>`
        str += `<span class="pageNum ${'page'+totalPage}" data-page=${totalPage}>${totalPage}</span>`

        } else if(activePage > totalPage -3){
            str += `<span class="pageNum page1" data-page=1>1</span>`
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page'+(totalPage-3)}" data-page=${totalPage -3}>${totalPage -3}</span>`
            str += `<span class="pageNum ${'page'+(totalPage-2)}" data-page=${totalPage -2}>${totalPage -2}</span>`
            str += `<span class="pageNum ${'page'+(totalPage-1)}" data-page=${totalPage -1}>${totalPage -1}</span>`
            str += `<span class="pageNum ${'page'+totalPage}" data-page=${totalPage}>${totalPage}</span>`
        } else {
            str += `<span class="pageNum page1" data-page=1>1</span>`
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page'+(activePage -1)}" data-page=${activePage -1}>${activePage -1}</span>`
            str += `<span class="pageNum ${'page'+activePage}" data-page=${activePage}>${activePage}</span>`
            str += `<span class="pageNum ${'page'+(activePage +1)}" data-page=${activePage +1}>${activePage +1}</span>`
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page'+totalPage}" data-page=${totalPage}>${totalPage}</span>`
        }
       
    }
    str += `<span class="nextPage"><img class="arrowPage" src=${arrowRight} /></span>`
    $('.pagination').html(str)
    $('.page' + activePage).addClass('activePage')
    $(".pageNum").on("click", function(e){
        const activePageNow = Number($(this).attr('data-page'))
        getTabData(activePageNow)
        // renderPagination(totalPage,activePageNow,totalNum)
    })
    $(".prePage").on("click", function(e){
        let activePageNow = Number($(".activePage").attr('data-page'))
        if(activePageNow > 1){
            activePageNow--
            getTabData(activePageNow)
            // renderPagination(totalPage,activePageNow,totalNum)
        }
    })
    $(".nextPage").on("click", function(e){
        let activePageNow = Number($(".activePage").attr('data-page'))
        if(activePageNow < totalPage){
            activePageNow++
            getTabData(activePageNow)
            // renderPagination(totalPage,activePageNow,totalNum)
        }
    })
    
}

$(document).on("click", function(){
    $(".levelList ").css("display", "none")
    $(".deptList").css("display", "none")
    $(".selectLevel .arrow").attr("src",iconDown)
    
})

$((function($){
    $('.export').click(function(){
        if((new Date(behosDateEnd) - new Date(behosDateStart))/24/60/60/1000 > 7){
            $.alerModal({"message":"最多只能导出7天",type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
            return
        }
        const param = {
            "behospitalCode": behospitalCode,
            "deptId": deptId,
            "doctorCode":doctorNum,
            "doctorName": doctorName,
            "leaveHosDateEnd": behosDateEnd,
            "leaveHosDateStart": behosDateStart,
            "level": level,
            "name": name
        }
        expJson(api.exportQcListDept,param).then(res =>{
            downloadExportedData(res.data, behosDateStart.slice(0,10).replace(/-/g,"")+"-"+behosDateEnd.slice(0,10).replace(/-/g,"")+"抽查住院病历质量情况.xls")
        })
      
    })
})($));